import { LitElement } from 'lit';
import { UUIIconRegistry } from './UUIIconRegistry';
/**
 * @element uui-icon-registry
 * @description - Icon Registry component delivers icons for any child of this component.
 * The UUIIconRegistryElement holds an empty registry of which icons can be added to.
 * @see UUIIconRegistryEssentialElement for a registry of the most essential icons.
 */
export declare class UUIIconRegistryElement extends LitElement {
    /**
     * Provide a Dictionary/Record/Object where key is the icon name and the value is the SVGs to define in the icon registry.
     * @type {Record<string, string>}
     * @default {}
     */
    private _icons;
    get icons(): Record<string, string>;
    set icons(icons: Record<string, string>);
    private _registry;
    get registry(): UUIIconRegistry;
    set registry(newRegistry: UUIIconRegistry);
    constructor();
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-icon-registry': UUIIconRegistryElement;
    }
}
